package com.hai.dao;

import com.hai.entity.OutRechargePrice;
import com.hai.entity.OutRechargePriceExample;
import java.util.List;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.DeleteProvider;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.InsertProvider;
import org.apache.ibatis.annotations.Options;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Result;
import org.apache.ibatis.annotations.Results;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.SelectProvider;
import org.apache.ibatis.annotations.Update;
import org.apache.ibatis.annotations.UpdateProvider;
import org.apache.ibatis.type.JdbcType;
import org.springframework.stereotype.Repository;

/**
 * 
 * 代码由工具生成,请勿修改!!!
 * 如果需要扩展请在其父类进行扩展
 * 
 **/
@Repository
public interface OutRechargePriceMapper extends OutRechargePriceMapperExt {
    @SelectProvider(type=OutRechargePriceSqlProvider.class, method="countByExample")
    long countByExample(OutRechargePriceExample example);

    @DeleteProvider(type=OutRechargePriceSqlProvider.class, method="deleteByExample")
    int deleteByExample(OutRechargePriceExample example);

    @Delete({
        "delete from out_recharge_price",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int deleteByPrimaryKey(Long id);

    @Insert({
        "insert into out_recharge_price (discount, operator_type, ",
        "`recharge_ platform`, recharge_type, ",
        "recharge_way, company_id, ",
        "sort, recharge_price, ",
        "pay_price, goods_id, ",
        "create_time, update_time, ",
        "`status`, ext_1, ext_2, ",
        "ext_3)",
        "values (#{discount,jdbcType=DECIMAL}, #{operatorType,jdbcType=INTEGER}, ",
        "#{rechargePlatform,jdbcType=VARCHAR}, #{rechargeType,jdbcType=INTEGER}, ",
        "#{rechargeWay,jdbcType=INTEGER}, #{companyId,jdbcType=BIGINT}, ",
        "#{sort,jdbcType=INTEGER}, #{rechargePrice,jdbcType=DECIMAL}, ",
        "#{payPrice,jdbcType=DECIMAL}, #{goodsId,jdbcType=BIGINT}, ",
        "#{createTime,jdbcType=TIMESTAMP}, #{updateTime,jdbcType=TIMESTAMP}, ",
        "#{status,jdbcType=INTEGER}, #{ext1,jdbcType=VARCHAR}, #{ext2,jdbcType=VARCHAR}, ",
        "#{ext3,jdbcType=VARCHAR})"
    })
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insert(OutRechargePrice record);

    @InsertProvider(type=OutRechargePriceSqlProvider.class, method="insertSelective")
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insertSelective(OutRechargePrice record);

    @SelectProvider(type=OutRechargePriceSqlProvider.class, method="selectByExample")
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="discount", property="discount", jdbcType=JdbcType.DECIMAL),
        @Result(column="operator_type", property="operatorType", jdbcType=JdbcType.INTEGER),
        @Result(column="recharge_ platform", property="rechargePlatform", jdbcType=JdbcType.VARCHAR),
        @Result(column="recharge_type", property="rechargeType", jdbcType=JdbcType.INTEGER),
        @Result(column="recharge_way", property="rechargeWay", jdbcType=JdbcType.INTEGER),
        @Result(column="company_id", property="companyId", jdbcType=JdbcType.BIGINT),
        @Result(column="sort", property="sort", jdbcType=JdbcType.INTEGER),
        @Result(column="recharge_price", property="rechargePrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="pay_price", property="payPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="goods_id", property="goodsId", jdbcType=JdbcType.BIGINT),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="update_time", property="updateTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    List<OutRechargePrice> selectByExample(OutRechargePriceExample example);

    @Select({
        "select",
        "id, discount, operator_type, `recharge_ platform`, recharge_type, recharge_way, ",
        "company_id, sort, recharge_price, pay_price, goods_id, create_time, update_time, ",
        "`status`, ext_1, ext_2, ext_3",
        "from out_recharge_price",
        "where id = #{id,jdbcType=BIGINT}"
    })
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="discount", property="discount", jdbcType=JdbcType.DECIMAL),
        @Result(column="operator_type", property="operatorType", jdbcType=JdbcType.INTEGER),
        @Result(column="recharge_ platform", property="rechargePlatform", jdbcType=JdbcType.VARCHAR),
        @Result(column="recharge_type", property="rechargeType", jdbcType=JdbcType.INTEGER),
        @Result(column="recharge_way", property="rechargeWay", jdbcType=JdbcType.INTEGER),
        @Result(column="company_id", property="companyId", jdbcType=JdbcType.BIGINT),
        @Result(column="sort", property="sort", jdbcType=JdbcType.INTEGER),
        @Result(column="recharge_price", property="rechargePrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="pay_price", property="payPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="goods_id", property="goodsId", jdbcType=JdbcType.BIGINT),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="update_time", property="updateTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    OutRechargePrice selectByPrimaryKey(Long id);

    @UpdateProvider(type=OutRechargePriceSqlProvider.class, method="updateByExampleSelective")
    int updateByExampleSelective(@Param("record") OutRechargePrice record, @Param("example") OutRechargePriceExample example);

    @UpdateProvider(type=OutRechargePriceSqlProvider.class, method="updateByExample")
    int updateByExample(@Param("record") OutRechargePrice record, @Param("example") OutRechargePriceExample example);

    @UpdateProvider(type=OutRechargePriceSqlProvider.class, method="updateByPrimaryKeySelective")
    int updateByPrimaryKeySelective(OutRechargePrice record);

    @Update({
        "update out_recharge_price",
        "set discount = #{discount,jdbcType=DECIMAL},",
          "operator_type = #{operatorType,jdbcType=INTEGER},",
          "`recharge_ platform` = #{rechargePlatform,jdbcType=VARCHAR},",
          "recharge_type = #{rechargeType,jdbcType=INTEGER},",
          "recharge_way = #{rechargeWay,jdbcType=INTEGER},",
          "company_id = #{companyId,jdbcType=BIGINT},",
          "sort = #{sort,jdbcType=INTEGER},",
          "recharge_price = #{rechargePrice,jdbcType=DECIMAL},",
          "pay_price = #{payPrice,jdbcType=DECIMAL},",
          "goods_id = #{goodsId,jdbcType=BIGINT},",
          "create_time = #{createTime,jdbcType=TIMESTAMP},",
          "update_time = #{updateTime,jdbcType=TIMESTAMP},",
          "`status` = #{status,jdbcType=INTEGER},",
          "ext_1 = #{ext1,jdbcType=VARCHAR},",
          "ext_2 = #{ext2,jdbcType=VARCHAR},",
          "ext_3 = #{ext3,jdbcType=VARCHAR}",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int updateByPrimaryKey(OutRechargePrice record);
}